local Remap = require("justin.keymap")
local nnoremap = Remap.nnoremap

-- FILES
nnoremap("<C-p>", ":Telescope")
nnoremap("<leader>ps", function()
	require("telescope.builtin").grep_string({ search = vim.fn.input("Grep For > ") })
end)
nnoremap("<leader>pg", function()
	require("telescope.builtin").live_grep()
end)
nnoremap("<Leader>pf", function()
	require("telescope.builtin").find_files()
end)
nnoremap("<leader>pw", function()
	require("telescope.builtin").grep_string({ search = vim.fn.expand("<cword>") })
end)
nnoremap("<leader>vrc", function()
	require("justin.telescope").search_dotfiles({ hidden = true })
end)
-- GIT
nnoremap("<C-p>", function()
	require("telescope.builtin").git_files()
end)
nnoremap("<leader>gb", function()
	require("justin.telescope").git_branches()
end)
nnoremap("<leader>gc", function()
	require("telescope.builtin").git_bcommits()
end)
nnoremap("<leader>gs", function()
	require("telescope.builtin").git_status()
end)
nnoremap("<leader>gw", function()
	require("telescope").extensions.git_worktree.git_worktrees()
end)
nnoremap("<leader>gm", function()
	require("telescope").extensions.git_worktree.create_git_worktree()
end)
-- MISC
nnoremap("<leader>pb", function()
	require("telescope.builtin").buffers()
end)
nnoremap("<leader>vh", function()
	require("telescope.builtin").help_tags()
end)
nnoremap("<leader>ts", function()
	require("telescope.builtin").treesitter()
end)
nnoremap("<leader>lr", function()
	require("telescope.builtin").lsp_references()
end)
